org.eclipse.eef.ide.ui.internal.widgets

## Class ActionButton

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.ActionButton

    public class ActionButton
    extends java.lang.Object

Represents an action button widget.

### Constructor Summary

Constructors
Constructor and Description
`ActionButton(EEFWidgetAction action, org.eclipse.swt.widgets.Composite parent, EEFWidgetFactory widgetFactory, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener(org.eclipse.swt.events.SelectionAdapter listener)` Add a selection listener to the button.
`EEFWidgetAction` `getAction()` Get the action.
`org.eclipse.swt.widgets.Control` `getButton()` Get the button.
`void` `removeSelectionListener()` Remove the selection listener.
`void` `setEnabled(boolean isEnabled)` Sets the enablement of the action button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActionButton

    public ActionButton(EEFWidgetAction action,
                        org.eclipse.swt.widgets.Composite parent,
                        EEFWidgetFactory widgetFactory,
                        org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                        org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

The constructor.

Parameters:
  `action` - Widget action
  `parent` - Parent composite
  `widgetFactory` - Widget factory
  `interpreter` - Interpreter
  `variableManager` - Variable manager

### Method Detail

#### setEnabled

    public void setEnabled(boolean isEnabled)

Sets the enablement of the action button.

Parameters:
  `isEnabled` - `true` to set the button as enabled, `false` otherwise

#### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionAdapter listener)

Add a selection listener to the button.

Parameters:
  `listener` - Selection listener

#### removeSelectionListener

    public void removeSelectionListener()

Remove the selection listener.

#### getAction

    public EEFWidgetAction getAction()

Get the action.

Returns:
  the action.

#### getButton

    public org.eclipse.swt.widgets.Control getButton()

Get the button.

Returns:
  The button